CREATE TABLE ff_route_parameter_vals (
    USER_ENTITY_ID           NUMBER(18, 0) ,
    ROUTE_PARAMETER_ID       NUMBER(18, 0) ,
    VALUE                    VARCHAR2(320)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    USER_ENTITY_ID           NUMBER(18, 0) ,
    ROUTE_PARAMETER_ID       NUMBER(18, 0) ,
    VALUE                    VARCHAR2(320)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_ff_route_parameter_vals PRIMARY KEY (USER_ENTITY_ID, ROUTE_PARAMETER_ID, USER_ENTITY_ID, ROUTE_PARAMETER_ID)
);
